* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

#heading {
  background-image: url("Screenshot 2026-04-08 at 11.56.24 AM.png");
  width: 100%;
  height: 32vh; 
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover; 

  font-size: 60px;
}

body {
  background-color: black;

  color: #eaf0ff;
  font-family: sans-serif;
}


#logo {
  cursor: pointer;
  border: 2px solid #00d4ff;
  border-radius: 50%;
  background-color: white;
  width: 50px;
  height: auto;
  display: block;
  margin: 5px 0px;
}

span:hover {
  transition: transform 0.5s ease-out;
  color: #eaf0ff;
  text-shadow:
    0 0 10px #00ffae,
    0 0 20px #00d4ff,
    0 0 40px #00d4ff;
  cursor: pointer;
}

nav {
  padding: 10px;
  background-color: #111a33;

  display: flex;
  flex-wrap: wrap; 
  align-items: center;
  justify-content: space-evenly;
  gap: 10px;
}

#search {
  padding: 5px;
  width: 200px;
  max-width: 90%;
}
/* 
#cart {
  width: 35px;
  height: 30px;
  cursor: pointer;
} */

h2 {
  text-align: center;
  padding: 10px;
  text-decoration: underline;
}

@media (max-width: 768px) {
  #heading {
    height: 30vh;
  }

  nav {
    justify-content: space-between;
  }

  span {
    font-size: 14px;
  }
}


#mode{
  padding: 5px 8px;
  border: 2px solid rgb(157, 74, 74);
  border-radius: 10px;
}

#mode:hover{
  cursor: pointer;
  box-shadow: 0 0 5px white ,0 0 12px white,0 0 10px white ;
}

#container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;  
  gap: 150px;             
  padding: 10px;
}


@media (max-width: 480px) {
  #heading {
    height: 25vh;
  }

  nav {
    flex-direction: column;
    align-items: center;
  }

  #search {
    width: 90%;
  }

  span {
    font-size: 13px;
  }

  h2 {
    font-size: 16px;
  }
}


